<form class="container" #eventForm="ngForm" *ngIf="sessionUser.role == Role.ADMIN">
  <div class="field">
    <label class="label">Name of the Event</label>
    <div class="control">
      <input class="input" placeholder="Name of the Event" #title="ngModel"
             [ngClass]="{'is-danger': !title.valid && !title.pristine, 'is-success': title.valid}"
             name="title" type="text" [(ngModel)]="event.title"
             required>
    </div>
    <p class="help is-danger" *ngIf="!title.valid && !title.pristine">This title is invalid</p>
  </div>

  <div class="field">
    <label class="label">Date: </label>
    <div class="control">
      <input class="input" #date="ngModel" type="date"
             [ngClass]="{'is-danger': !date.valid && !date.pristine, 'is-success': date.valid}"
             name="date" [(ngModel)]="event.date"
             required>
    </div>
    <p class="help is-danger" *ngIf="!date.valid && !date.pristine">This date is invalid</p>
  </div>

  <div class="field">
    <label class="label">Time: </label>
    <div class="control">
      <input class="input" type="time" #time="ngModel" name="time"
             [ngClass]="{'is-danger': !time.valid && !time.pristine, 'is-success': time.valid}"
             [(ngModel)]="event.time"
             required>
    </div>
    <p class="help is-danger" *ngIf="!time.valid && !time.pristine">This time is invalid</p>
  </div>

  <div class="field">
    <label class="label">Event-Type: </label>
    <div class="control">
      <div class="select">
        <select name="type" #type="ngModel"
                [ngClass]="{'is-danger': !type.valid && !type.pristine, 'is-success': type.valid}"
                [(ngModel)]="event.type"
                required>
          <option [ngValue]="EventType.COMPETITION">COMPETITION</option>
          <option [ngValue]="EventType.TRAINING">TRAINING</option>
          <option [ngValue]="EventType.TEAMBUILDING">TEAMBUILDING</option>
        </select>
      </div>
    </div>
    <p class="help is-danger" *ngIf="!type.valid && !type.pristine">Choose a type</p>
  </div>

  <div class="field">
    <label class="label">Location: </label>
    <div class="control">
      <input class="input" placeholder="Location of the Event" #location="ngModel" type="text"
             [ngClass]="{'is-danger': !location.valid && !location.pristine, 'is-success': location.valid}"
             name="location" [(ngModel)]="event.location"
             required>
    </div>
    <p class="help is-danger" *ngIf="!location.valid && !location.pristine">This location is invalid</p>
  </div>

  <div class="field is-grouped">
    <div class="control">
      <button class="button" (click)="update(); myMessage()" type="submit" [disabled]="!eventForm.form.valid">Update
        Event
      </button>
    </div>
  </div>
</form>
